Home
Home
  1. Reports
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
          GET
        • Download a report
          GET
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Reports

Download a report

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{submission_id}/reports/{report_template_id}
Generates a report for the submission from the given template and returns it as a file download. The report is built at request time from the submission's current data, so it always reflects the latest state.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions//reports/' \
--header 'apiKey: <api-key>'

Responses

🟢200Success
application/octet-stream
Previous
List available report templates
Next
Create new submission